<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Izg 2018 - 2019, lab 6.: student/fwd.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Izg 2018 - 2019, lab 6.
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="examples.html"><span>Examples</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_df997ef5cbe81af8266600b381d65502.html">student</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">fwd.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="fwd_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#pragma once</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include&lt;stdlib.h&gt;</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include&lt;stdint.h&gt;</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div>
<div class="line"><a name="l00016"></a><span class="lineno"><a class="line" href="fwd_8h.html#acdf314019539248efc2b4f247a1b97ac">   16</a></span>&#160;<span class="preprocessor">#define MY_PI 3.14159265359f</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">struct </span><a class="code" href="structVec2.html">Vec2</a>;<span class="comment">//forward declaration</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">struct </span><a class="code" href="structVec3.html">Vec3</a>;<span class="comment">//forward declaration</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">struct </span><a class="code" href="structVec4.html">Vec4</a>;<span class="comment">//forward declaration</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">struct </span><a class="code" href="structMat4.html">Mat4</a>;<span class="comment">//forward declaration</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div>
<div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="fwd_8h.html#af5ef9466b1253e714b5ded8b25d06246">   25</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="structVec2.html">Vec2</a> <a class="code" href="structVec2.html">Vec2</a>;</div>
<div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="fwd_8h.html#a20b81c7ccf425704f7fbf034c6e0afe1">   26</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="structVec3.html">Vec3</a> <a class="code" href="structVec3.html">Vec3</a>;</div>
<div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="fwd_8h.html#abd438584811431d451e07e5600aab8e7">   27</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="structVec4.html">Vec4</a> <a class="code" href="structVec4.html">Vec4</a>;</div>
<div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="fwd_8h.html#af7bd03ace5e25914db6b30a3a5d6e283">   28</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="structMat4.html">Mat4</a> <a class="code" href="structMat4.html">Mat4</a>;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div>
<div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="fwd_8h.html#ae2957b322725cd461a6a7827bb0fcc55">   33</a></span>&#160;<span class="keyword">typedef</span> uint32_t <a class="code" href="fwd_8h.html#ae2957b322725cd461a6a7827bb0fcc55">VertexIndex</a>;</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#if !defined(MAKE_STUDENT_RELEASE)</span></div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div>
<div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="fwd_8h.html#a44f8ee7c15af6c4cbdd6ad945652f375">   38</a></span>&#160;<span class="preprocessor">#define IMPLEMENT_SOLUTION</span></div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div>
<div class="line"><a name="l00041"></a><span class="lineno"><a class="line" href="fwd_8h.html#ac6f7b572ea8958fca2b31004e1039f04">   41</a></span>&#160;<span class="preprocessor">#define IMPLEMENT_TASK1</span></div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div>
<div class="line"><a name="l00044"></a><span class="lineno"><a class="line" href="fwd_8h.html#aee09d421ee08997a4f6e25b8ca358511">   44</a></span>&#160;<span class="preprocessor">#define IMPLEMENT_TASK2</span></div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div>
<div class="line"><a name="l00047"></a><span class="lineno"><a class="line" href="fwd_8h.html#a3550b9aa2623298e8c61ea1ebe9e3653">   47</a></span>&#160;<span class="preprocessor">#define IMPLEMENT_TASK3</span></div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="ttc" id="structVec3_html"><div class="ttname"><a href="structVec3.html">Vec3</a></div><div class="ttdoc">This struct represents column 3D vector of 32-bt floats. </div><div class="ttdef"><b>Definition:</b> linearAlgebra.h:27</div></div>
<div class="ttc" id="structVec2_html"><div class="ttname"><a href="structVec2.html">Vec2</a></div><div class="ttdoc">This struct represents column 2D vector of 32-bit floats. </div><div class="ttdef"><b>Definition:</b> linearAlgebra.h:20</div></div>
<div class="ttc" id="structVec4_html"><div class="ttname"><a href="structVec4.html">Vec4</a></div><div class="ttdoc">This struct represents column 4D vector of 32-bit floats. </div><div class="ttdef"><b>Definition:</b> linearAlgebra.h:34</div></div>
<div class="ttc" id="fwd_8h_html_ae2957b322725cd461a6a7827bb0fcc55"><div class="ttname"><a href="fwd_8h.html#ae2957b322725cd461a6a7827bb0fcc55">VertexIndex</a></div><div class="ttdeci">uint32_t VertexIndex</div><div class="ttdoc">Instance of this type contains index to vertex. </div><div class="ttdef"><b>Definition:</b> fwd.h:33</div></div>
<div class="ttc" id="structMat4_html"><div class="ttname"><a href="structMat4.html">Mat4</a></div><div class="ttdoc">This struct represents 4x4 matrix - it is represented by 4 column vectors. </div><div class="ttdef"><b>Definition:</b> linearAlgebra.h:41</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Apr 24 2019 08:37:08 for Izg 2018 - 2019, lab 6. by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.9.1
</small></address>
</body>
</html>
